package net;
import java.sql.*;
public class ProjektLAN {
	private static Connection connect = null;
	private static Statement statement = null;
	private static ResultSet odpoved = null;
	static {
		try {
			Class.forName("org.apache.derby.jdbc.ClientDriver").newInstance();
		} catch (InstantiationException | IllegalAccessException | ClassNotFoundException e) {
			System.out.println("Problem s nactenim driveru - nutne pridat do CLASSPATH");
		}
	}
	private static void pripojeniDatabazeLAN() {
		try {
			connect = DriverManager.getConnection("jdbc:derby://192.168.123.9:2222/databaze04;user=Uzivatel4;password=Heslo4;");
			System.out.println("Podarilo se pripojit k databazi04");
		} catch (Exception e) {
			System.err.println("Nepodarilo se pripojit k databazi04");
			if (connect == null) {
				System.exit(1);
			}
		}
	}
	private static void vypisemeData() {
		try {
			statement = connect.createStatement();
			odpoved = statement.executeQuery("SELECT * FROM Employee ORDER BY id");
			System.out.print("Podarilo se ziskat data :");
			while (odpoved.next()) { 
				System.out.print("\nJmeno :" + odpoved.getString(2));
				System.out.print("\tPrijmeni :" + odpoved.getString(3));
				System.out.print("\tMail:" + odpoved.getString(4));
			}
		} catch (SQLException e) {
			System.out.println("Nepovedlo se ziskat data :");
			e.printStackTrace();
		}

	}

	private static void odpojimeDatabazi() {
		// zrusime objekty
		try {
			if (statement != null) {
				statement.close();
			}
			if (connect != null) {
				connect.close();
			}
			System.out.println("\nPodarilo se odpojit od databaze");
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
	public static void main(String[] args) {
		System.out.println("Start Programu");
		pripojeniDatabazeLAN();
		vypisemeData();
		odpojimeDatabazi();		
		System.out.println("Konec Programu");
	}
}
